> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a gift card (catalog entry)

> Retrieve detailed information about a specific gift card catalog entry.



## OpenAPI

````yaml /api/openapi.json get /v2/gift-cards/{giftCard}
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/gift-cards/{giftCard}:
    get:
      tags:
        - Gift Card Offers
      summary: Get a gift card (catalog entry)
      description: Retrieve detailed information about a specific gift card catalog entry.
      parameters:
        - name: giftCard
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A single gift card catalog entry
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/GiftCard'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    GiftCard:
      description: Gift card catalog entry (region + brand + face value)
      type: object
      properties:
        id:
          description: Unique identifier for the gift card
          type: integer
        region_id:
          description: Gift card region ID
          type: integer
        brand_id:
          description: Gift card brand ID
          type: integer
        region:
          $ref: '#/components/schemas/GiftCardRegion'
        brand:
          $ref: '#/components/schemas/GiftCardBrand'
        title:
          description: Display title
          type: string
        face_value_amount:
          description: Face value amount
          type: string
        face_value_unit:
          description: Currency unit for face value
          type: string
          nullable: true
        face_value_unit_slug:
          description: Slug for face value unit
          type: string
          nullable: true
        lowest_price_eur:
          description: Lowest offer price in EUR
          type: string
          nullable: true
        lowest_price_usd:
          description: Lowest offer price in USD
          type: string
          nullable: true
        highest_price_eur:
          description: Highest offer price in EUR
          type: string
          nullable: true
        highest_price_usd:
          description: Highest offer price in USD
          type: string
          nullable: true
        is_enabled:
          description: Whether the gift card is enabled
          type: boolean
        created_at:
          description: Unix timestamp when created
          type: integer
        updated_at:
          description: Unix timestamp of last modification
          type: integer
    GiftCardRegion:
      description: Gift card region (e.g. country or area)
      type: object
      properties:
        id:
          description: Unique identifier
          type: integer
        code:
          description: Region code
          type: string
        name:
          description: Display name
          type: string
        slug:
          description: URL-friendly identifier
          type: string
        is_country:
          description: Whether the region is a country
          type: boolean
    GiftCardBrand:
      description: Gift card brand (e.g. Steam, PlayStation)
      type: object
      properties:
        id:
          description: Unique identifier
          type: integer
        name:
          description: Display name
          type: string
        slug:
          description: URL-friendly identifier
          type: string
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````